Welcome to XC Rtu

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage.

The role of XC Rtu within an XConnect data collection system is to communicate to Sutron data loggers using Sutron Standard Protocol (SSP). If a modem, radio, line driver, or serial cable is connected to the Sutron data logger, this is considered a conventional system and SSP is used in the primary language used. XC Rtu can initiate data requests via SSP and is always monitoring communication ports for SSP messages transmitted by Sutron data loggers. XC Rtu also applies any user-defined equations or lookup tables on data and then stores data to user selected data store option.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around in XC Rtu

The XC Rtu application is a MDI (multiple document interface) application. It consists of sub/child windows. XC Rtu consists of these main areas:

  • The Main window which contains the Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The Communication Monitor provides the user with informational or error messages related to data storage.

  • The Status Window provides the user with informational or error messages related to data decoding.

Click an area on the image below for more information.

Click an area on the image below for more information.

Click an area on the image below for more information.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Data Flow

Data flow in conventional systems using XC Rtu is represented below.

  1. XC Rtu retrieves setup information from XC Setup.

  2. XC Rtu sends SSP messages over communication ports to data loggers.

  3. XC Rtu receives incoming SSP messages and processes the data based on setup and sensor information.

  4. XC Rtu stores data to data storage option.


Messages in status window

XC Rtu has dispatched an SSP poll message to station.

In the Rtu Control or Interactive Polling windows, the user has triggered a manual poll/control to a XC Rtu has dispatched an SSP poll message to station.

In the Rtu Control window, a station must be highlighted before selecting a station command.

In the Rtu Control window, a station and sensor must be highlighted before selecting a sensor command.

In the Rtu Control window, the result of the current data poll is displayed in the status box.

In the Rtu Control window, the result of the date or manual or newest data poll is displayed in the status box.

In the Interactive Polling window, no data response was received from the data poll.

XC Rtu has dispatched a SSP message to a data logger via a modem.

XC Rtu has started the disconnect process from at station.

XC Rtu has completed a SSP transaction and automatically disconnected from a station.

XC Rtu issued a manual disconnect from a station.

XC Rtu is connecting to a station to attempt a SSP transaction.

XC Rtu is connected to a station will next send a SSP transaction.

XC Rtu has aborted the current SSP transaction as selected by the user.

XC Rtu has currently transmitting the requested or scheduled SSP message.

XC Rtu received a SetClock SSP messages from a station and changed the PC time.

XC Rtu received a Mail SSP messages from a station.

XC Rtu has dispatched an SSP poll message to station.

XC Rtu is changing the data logger to protocol mode before sending the SSP message. In XC Desktop, the AutoProtocol parameter was not checked indicated the data logger is in terminal mode.

This notifies the user any data decoded from the satellite messages will not be stored. This will be due to an invalid data storage choice. Go to XC Desktop to correct data storage option.

Block data inserted into PcBase2 binary data file.

Individual sensor data value was inserted into a PcBae2 binary data file for a specific date/time stamp.

Individual sensor data value was inserted into a database for a specific date/time stamp. Datatype can be GoesSelfTimed (S), GoesRandom (R), Current (C), TimeTag (T) to reflect the source of data.

Individual sensor data value was updated into a database for a specific date/time stamp. Datatype can be GoesSelfTimed (S), GoesRandom (R), Current (C), TimeTag (T) to reflect the source of data.

Sensor data retrieved from a Current data poll was not selected to be stored in any PcBase2 binary data files. If this message was received in error, go to XC Desktop to make changes.

In XC Desktop,

  1. check System Init setup window to ensure real-time data should be stored.

  2. check Data Storage setup window to ensure sensor is selected in a PcBase2 binary data file.

Sensor data retrieved from a Date/Newest/Manual data poll was not selected to be stored in any PcBase2 binary data files. If this message was received in error, go to XC Desktop to make changes.

In XC Desktop,

  1. check System Init setup window to ensure timetag data should be stored.

  2. check Data Storage setup window to ensure sensor is selected in a PcBase2 binary data file.

Quality data was updated in ASCII quality log files (.LOG) for a satellite ID. ASCII quality log files are optionally generated for all data storage options other than relational databases (i.e., Oracle, Access).

XC Rtu auto-archived a PcBase2 binary data file based on the user selected archive time parameter in XC Desktop.

XC Rtu was unable to store the decoded sensor value to the XConnect data table. In case of this failure, the value is stored to a log file (.LOG) in the DataBackup subdirectory of the XConnect home directory.

XC Rtu deleted the log file (.LOG) in the archive process. The user selected in XC Desktop only to keep x days of data.

XC Rtu stored data in log files (.LOG) for a station.

XC Rtu stored quality data in log files (.LOG) for a station.

XC Rtu inserted quality data in the XConnect database for a station.

XC Rtu updated quality data in the XConnect database for a station.

XC Rtu updated the Last Update field in for a station in the XConnect database.

Messages in the status window

Below are the status messages XC Rtu will display in the status windows as communicates with the data loggers:

  • Polling station: station.

  • Sending control command: xxx.

  • No station has been selected.

  • No sensor has been selected.

  • Current Data: xxx.

  • TimeTag Data: xxx.

  • No data received.

  • Dialing Station: station, phone number.

  • Disconnecting: station.

  • Disconnected: station.

  • Disconnected From: station.

  • Connecting: station.

  • Connected: station.

  • Connect Aborted: station.

  • Sending SSP command to: station.

  • Time and date changed to: 00/00/0000 00:00:00 by station.

  • Mail from: station, xxx.

  • Logging in to: station.

  • Switching to protocol mode: station.

Below are the status messages XC Rtu will display in the data storage status window as it stores data in the user selected data storage option:

  • No data will be stored.

  • Inserted data into file xxx.dat.

  • Inserted data value: sensor for timestamp is xxx.

  • Inserted datatype data value: station.sensor for timestamp is xxx.

  • Updated datatype data value: station.sensor for timestamp is xxx.

  • No data file to store realtime data from station station for data data.

  • No data file to store timetag data from station station for data data.

  • Updated Quality data: satellite id - station at 00/00/0000 00:00:00.

  • Archived data file - xxx.

  • Unable to write data to xcdata1. Writing data to backup log file: station.sensor for timestamp is xxx.

  • Deleted Log file - xxx.log.

  • Logged data values for : station for timestamp.

  • Logged Quality data: satellite ID - station at timestamp.

  • Inserted Quality data: satellite ID - station at timestamp.

  • Updated Quality data: satellite ID - station at timestamp.

  • Updated Last Update data: station at timestamp.


Triggering poll groups

Poll groups are configured in XC Desktop. Each poll group is has a base time and interval which indicates how often it will trigger to dispatch an SSP messages. Additionally, each poll group has a poll type selected and a list of stations. Thus, when the poll group triggers, it will dispatch a poll to a selected list of station.

XC Rtu allows the user to trigger the next or any poll group outside of its base time and interval. The Status window displays the next poll group.

To force the next poll group to trigger immediately:

  • Click the XC Rtu icon on the desktop. The XC Rtu application starts minimized.

  • From the Polling menu, select Trigger Next Poll Group or from the toolbar click on the button [image]. All stations in the poll group will be polled. The stations are also listed in the status window.

To force the any poll group to trigger immediately:

  • Click the XC Rtu icon on the desktop. The XC Rtu application starts minimized.

  • From the Polling menu, select Trigger Any Poll Group or from the toolbar click on the button [image]. The Select Poll Group window will appear.

  • Select the desired poll group. Click Ok. All stations in the poll group will be polled.


On demand functions

On-Demand Control Functions

XConnect is designed to be an automated system. Each of the XConnect modules operates on a schedule or interval. XC Rtu is driven by poll groups and their intervals. Since XC Rtu is used with conventional system (two-way communications), the user can communications with the data logger and perform some troubleshooting functions outside of the poll group intervals. When data loggers are first installed, there needs to be some polls sent to verify communications. Use the XC Rtu Control Functions window to perform these functions.

Control functions are available to manually poll a station for data, request a single sensor value, send and receive mail. Not all functions are available for all Sutron data loggers. Based on the Site Type parameter selected for the station in XC Desktop, functions will be appropriated enabled and disabled. To manually send control commands to a data logger:

  1. Click the XC Rtu icon on the desktop. The XC Rtu application starts minimized.

  2. From the Options menu, select Perform Control Functions or from the toolbar click the [image] button.

  3. The XC Rtu Control Functions window appears.

XC Rtu Control Functions

  • Stations - List of XConnect stations. Select a station first before selecting a control function.

  • Sensors - List of sensors defined for selected stations. When a station is clicked from the Stations list box, the stations' sensors will be displayed in the Sensors list box.

  • Pause Data Storage - Click this button to temporarily prevent data storage while performing control functions. Thus, the data returned while selecting Current data polls or get tags will not stored if your database only holds time-tagged data from Date polls.

  • Poll Type - Type of data to be requested from the station. All stations are polled for the same type of data. However, if in the None option is selected, then the poll type can be defined individually and differently for each station.

  • None - No data will be polled/requested.

  • Current - Real-time data will requested. Real-time data represents the last measured values. In the 8200/8210/9000, the last measured values is the same as viewing LIVE DATA in the data logger menu setup. Caution, the last measured data may be, when the data request is received, the 40th sample out of 100. In the 9210/XPERT, the last measured data will always be the resultant value from the COMSTAG data block.

  • Date - Logged data will be requested. Logged/time-tagged data is stored in the data logger log with a corresponding time stamp. In the 8200/8210/9000, the time-tagged data is the same as view NEWEST DATA in the data logger menu setup. In the 9210/XPERT, the time-tagged data is the same as the VIEW LOG tab. The date and time of the last data retrieve is stored in the Last Poll field. So, the next poll will start with the Last Poll time.

  • Newest - Logged data will be requested. A Newest data poll retrieves the same data as a Date poll. The difference is who keeps track of the Last Poll time. In the case of a Date poll, XConnect maintains the time field. For a Newest poll, the data logger maintains the time field.

It is recommended to use Date polls. The user has the flexibility/control to adjust this field if data needs to be re-retrieved. The user does not have such access in the data logger in Newest data polls.

  • NoWait - In a normal SSP data request, the message is dispatched and XC Rtu waits for a response. If no response is received before the timeout period, it will retry. After all retries are exhausted, the next SSP message will be dispatched. In NoWait mode, the poll type described in the station setup will be dispatched. Without waiting for a response, it will dispatch the next poll to the next station in the polling list. No retries are performed in the NoWait mode.

  • Poll Now - Click this button to dispatch the poll chosen by the Poll Type parameter.

  • Start Date - If the Poll type selected is Date, the user must specify a begin date of the data request.

  • Stop Date - If the Poll type selected is Date, the user must specify a end date of the data request.

  • Current Sensor Value - This field displays the last sensor value received from the station by XC Rtu.

  • Get Tag - Click this button to send an SSP command to request the sensor value only.

  • Send Tag - Click this button to send an SSP command to send the value entered in the Current Sensor Value field to the data logger. This value will override/modify the sensor value in the data logger.

  • Status - This field displays the RECORDING status of the data logger.

  • Get Status - Click this button to send an SSP command to request the status of the data logger. This will indicate the RECORDING status of the data logger.

  • Start - Click this button to send an SSP command to turn Recording ON. This command is only valid for 8200/8210/9000 data loggers.

  • Stop - Click this button to send an SSP command to turn Recording OFF. This command is only valid for 8200/8210/9000 data loggers.

  • Self Test - Click this button to send an SSP command to initiate a self-test in the data logger. This command is only valid for 8200/8210/9000 data loggers.

  • Get RDI - Click this button to send an SSP command to retrieve RDI parameters in an Ericsson EDACs trunked data logger network. This command is only valid for a special group of 8210 data loggers.

  • Send RDI - Click this button to send an SSP command to send RDI parameters in an Ericsson EDACs trunked data logger network. This command is only valid for a special group of 8210 data loggers.

  • Reset - Click this button to send an SSP command to reset the data logger. This command is only valid for 8200/8210/9000 data loggers.

  • Set Clock - Click this button to send an SSP command to set the clock to match the PC time. This command is only valid for 8200/8210/9000/9210/XPERT data loggers.

  • In Box - This field displays the last mail message sent by the station.

  • Out Box - This field displays the mail message to be sent to the station.

  • Send Mail - Click this button to send an SSP command to send the mail message entered in the Out Box field.

  • Status - This memo box displays status messages during control functions.

For additional detailed explanations of the SSP commands above, refer to the Sutron Standard Protocol topic under Advanced Topics.


Editing setup parameters

In setting up XC Rtu, there are a number of critical parameters that must be configured properly. These parameters are the same as viewed and edited in XC Desktop - XC Rtu Setup window. The user has the option to edit the parameters within XC Rtu or in XC Desktop. To set these parameters:

  1. Click the XC Rtu icon on the desktop. The XC Rtu application starts minimized.

  2. From the Options menu, select Edit Setup Parameters or from the toolbar click the [image] button. The XC Rtu Setup Parameters window appears.

XC Rtu Setup Parameters

  • Master ID - SSP Unit ID of the base station computer. Just as each data logger has a name (Unit ID), so does the base station.

  • Listen ID - List of SSP Unit IDs to listen to and to parse messages no but not respond/ACK to.

  • Listen Update - Check this flag to have XC Rtu update the Last Poll date with the last data received from the Listen IDs.

  • Re-Poll Limit - For missing data, the parameter represents how much data to re-poll when a sensor is missing from the data. So, if the current date and time minus then date and time of the last received data is less then the Re-Poll limit time, data will be re-polled.

  • Setup Path - Location of setup files. The directory location is the default path for the Setup File parameter on the Station setup window in XC Desktop.

  • Table Path - Location of rating/lookup tables. The table files have .TBL extensions are and are used in sensor equations.

  • Save real-time data items - XC Rtu will store all data values it keeps in its internal real-time database. The real-time database is used by clients requesting DDE or COM sensor data. If using Wonderware or other HMIs, saving the data items and loading them on start-up will initialize all DDE points used on the HMI. If not used client software, this flag should remain unchecked.

  • Store Quality - As SSP messages are dispatched and received, XC Rtu can log the success or failure of the SSP message and the type of error encountered. This SSP quality information can be optionally stored. For a database, the information is stored in the XC_RTUQC data tables. This allows operators to generate reports to determine station or com port statistics.

  • Auto Topic Settings

    • Auto Poll - How often automatic DDE data points will be polled, 0=Disable.

    • Auto Update - How quickly automatic DDE data points are updated, 0=Disable.


Refreshing Setup parameters

XC Rtu gets the configuration data it needs from the XC Setup program. Since most of this information is requested at application startup, there needs to be a mechanism for propagating changes that are made to the setup after XC Rtu is already running. This mechanism is provided via the Reinitialize [image] function which can be found in XC Rtu on the toolbar or under the FILE menu.

Clicking the Reinitialize [image] causes XC Rtu to flush the current setup information from its buffer and request new setup information from XC Setup. In addition, XC Rtu will also release (close) its current serial port and then open whatever serial port is specified in the newly refreshed setup information.


Interactive Polling

The Interactive Polling tool assists the user in defining the sensor parameters for each sensor of each station. To use the polling tool:

  1. Click the XC Rtu icon on the desktop. The XC Rtu application starts minimized.

  2. From the Options menu, select Interactive Polling or from the toolbar click the [image] button. The Interactive polling window appears.

The Interactive Polling window assists the user in defining the sensors for the station. If the user has the setup file (.SET, .SSF) from the file, the station and sensors can easily be imported in XC Desktop. If not, just knowing the RTU Unit ID, will allow XC Rtu to do simple current data request or a time tag data request. XC Rtu will auto-parse the SSP response and extract as many sensor values as possible. The list of possible sensors will be displayed with their values in the RTU Sensor list box.

Auto Polling with the Interactive Polling tool

  1. Upon entering the Interactive Polling window, the user must select a station or unit ID. From the Select group box, click either the List Stations or List Unit IDs button. This allows the user to select from the list of XConnect stations or their corresponding Unit IDs.

Note: Some users are more familiar with the Unit ID as identifiers than the station name.

  2. After selecting a station/unit ID, click on the poll type desired. Click the Poll Now button to have XC Rtu send a poll to the data logger.

  3. XC Rtu will send either a Current data poll or a Timetag/Date poll depending of the poll type selected. For the Timetag poll, it will automatically use today's date and 00:00:00 as the start and stop time. The Status box will display polling progress.

  4. Click on a sensor in the RTU Sensor list box you wish to save. Fill in the remaining sensor parameters and click Save Parameters button. Refer to help document for XC Desktop for detailed descriptions for Sensor setup parameters.


Using the protocol analyzer

The protocol analyzer will show all communications between the XC Rtu application and the communication device. In troubleshooting communications, it may be useful to observe the commands and responses passing back and forth over the communication port by using the protocol analyzer feature in XC Rtu. Each communication monitor has its on protocol analyzer.

To use the protocol analyzer:

  1. Click the XC Rtu icon on the desktop. The XC Rtu application will start minimized.

  2. Select the Communication Monitor window to investigate. Select Protocol Analyzer button [image] . The "Protocol Analyzer" window appears.

Protocol Controls

The protocol analyzer window will display the state of all control lines using the LEDs on the window.

Display Menu

  • Keep Hex Chars - Check this box to have the characters in the unprintable range bracketed by their decimal equivalent. The printable characters (characters that can be seen in Notepad) start at Decimal 20 (blank space). The characters below Decimal 20 are unprintable.

Example 1

The start of header character (SOH) that starts every SSP message will be displayed as [01] on the protocol analyzer.

Example 2

The acknowledge character (ACK) used in establishing a connection will be displayed as [06] on the protocol analyzer.

  • Pause - Click this option to pause the display of new messages to the protocol analyzer.

  • Clear - Click this option to clear the protocol analyzer display.

Tools Menu

  • Send Text - This feature is not yet implemented.

  • Capture Data - Click this option to log all characters displayed on the protocol analyzer. The user will be prompted for a file name to store the messages.

Protocol Messages

The exchange of characters seen on the protocol analyzer show the negotiating and communication between the XConnect base station PC and the data logger. Depending on the communication device type, the characters used to negotiate a connection is different. All this negotiation occurs before the transmission of any SSP messages. Use the SSP Decoder to interpret the SSP messages sent and received, but use the Protocol Analyzer to investigate to make sure a connection is established first.

Direct Connect

Before sending an SSP message, XC Rtu will send a DC1 (Decimal 17) character to the data logger. The data logger is expected to send an ACK (Decimal 6) to indicated that it is awake and available. XC Rtu will send the DC1 up to 10 times waiting for an ACK. Once the ACK is received, XC Rtu will proceed with sending the SSP message.

Radio Connect

Before sending an SSP message, XC Rtu will make sure the carrier detect line is not high. If it was high, that would indicate another radio was transmitting. After determining carrier detect is not high, XC Rtu will key the transmitter. For a radio, this means XC Rtu will raise the DTR and RTS lines. Then, the SSP message will be sent.

Modem Connect

Before sending an SSP message to a data logger with a modem, XC Rtu must first take the phone line on-hook, send any initialization strings as specified by the user and dial the phone number. After dialing, XC Rtu will wait for the data logger to answer. As with any data call, the connection could be successful, busy or the line could be dropped before the connection is established. If the phone call is unsuccessful, the dial retries will be used. After a successful connection, XC Rtu will login to the data logger if the user has checked the settings in XC Desktop. After the login is successful, the next step is will be like a direct connect. XC Rtu will send a DC1 (Decimal 17) and expect an ACK (Decimal 6) as a response. Once the ACK is received, XC Rtu will proceed with sending the SSP message.

Virtual Connect

A virtual connect is a network ip connection. No handshaking is necessary. XC Rtu opens a UDP port and sends the SSP message.


Using the SSP Decoder

The SSP Decoder will show all SSP messages sent and received by XC Rtu and the data logger. Note, SSP messages are only sent after a successful connection has been established. Viewing the handshaking and negotiating can be done using the protocol analyzer. Since SSP messages are a binary protocol, it is not readable. The SSP Decoder translates each SSP message so the user can easily understand what each SSP message means.

Each SSP message is addressed using the RTU Unit ID of a station and sent by the Master ID as entered in the XC Rtu setup parameters. Also included in an SSP message is the time stamp and the operation code. Both the SSP Decoder and the Protocol Analyzer update in real-time as data is being sent and received.

To use the SSP Decoder:

  1. Click the XC Rtu icon on the desktop. The XC Rtu application will start minimized.

  2. Select the Communication Monitor window to investigate. Select SSP Decoder button [image] . The "Protocol Analyzer" window appears.

SSP Decoder Controls

  • Pause - The button will pause the display of new SSP decode messages to be added to the display.

  • Station - The Station field allows the user to only display SSP messages from the station entered in this field to be displayed. It helps to exclude SSP activity from other data loggers if you are troubleshooting and concentrating on the messages from a specific station. If the All Stations box is checked, this field is ignored.

  • All Stations - By default this box is checked. This indicates that SSP activity from all station will be displayed in the SSP Decoder window.


Sutron Standard Protocol (SSP)

SSP is the communication protocol XConnect (and PcBase2) uses to communication with Sutron data loggers (8200/8210/9000/9210/XPert). SSP supports a set of commands to request and exchange data. The SSP Decoder translates the protocol message so the user can understand it. An SSP message follows a certain format and can have many possible operations codes (opcodes).

The Sutron Standard Protocol is a byte-oriented protocol using asynchronous, serial binary, half duplex transmissions with one start bit, one stop bit, no parity, and eight data bits. The protocol was developed as a layered structure following the International Standards Organization (ISO) model for Open Systems Interconnection (OSI).

The transmission rate is dependent on the communication devices. The protocol has been successfully implemented on 3 different physical links: radios, direct connect (RS-232) and telephone modems.

Anatomy of an SSP message

The standard message format includes header and data sections. The header begins with a DLE SOH (Data Link Escape, Start Of Header) and is terminated with a DLE STX (Data Link Escape, Start of Text); no control characters are allowed between them. The header contains a variable-length destination /source field for network control. The transparent binary data section begins after the STX, and the end of the transparent data is marked by a DLE ETX (Data Link Escape, End Of Text). The data section following the STX will contain a single flag byte, three bytes for a message sequence control, and a variable number of subfields. Each subfield will have a 1-byte opcode, a 2-byte count of data bytes and binary data. The packet ends with the DLE ETX followed by two block check characters. The block check is a CRC-16 performed on all bytes except the DLE SOH and includes the DLE ETX. In addition, the opcodes for each data subfield will instruct the device how to respond.

Every message begins with a DLE SOH followed by the DESTINATION/SOURCE field which are variable length fields delimited by a slash (/) and the DLE STX. All the bytes in the field must be printable. The destination is the address of the endpoint of the packet. The source is the address of the initiating device.

The STX delimits the end of the header and the beginning of the data. Data following the STX can be binary. This is called transparent text. The FLAG byte is reserved for future use.

|DLE|SOH|Destination|/|Source|DLE|STX|Flag|Seq|OpCode|Count|Data|OpCode|Count|Data|OpCode|.....|DLE|ETX|CRC|

Characters | Bytes | Description
DLE | 1 | DLE (Data Link Escape) marks the start of every SSP message
SOH | 1 | SOH (Start of Header) marks second character of every SSP message
Destination | variable | Recipient address (unit ID) of SSP message
/ | 1 | Delimiter between destination and source addresses.
Source | variable | Source address (unit ID) of SSP message
DLE | 1 | DLE (Data Link Escape)
STX | 1 | STX (Start of Text) marks start of data section
Flag | 1 | Reserved for future use.
Seq | 3 | Time Stamp
OpCode | 1 | SSP operation code
Count | 2 | Data count following
Data | variable | Data
..... | variable | Additional data (Opcode, Count and Data)
DLE | 1 | DLE (Data Link Escape)
ETX | 1 | ETX (End of Tex) marks end of data section
CRC | 2 | CRC-16 bytes

Example SSP messages

Current Data request

LC11,XCONNECT,64043039,OK,CurdataReq

To From Flag OpCode

Current Data response

A current data response returns all the data in one SSP packet and the SSP transaction is completed.

XCONNECT,LC11,645,OK,Curdata,Analog1,2,1,0.16980,2,OK,Analog2,2,1,0.14516,2,OK,Battery,2,1,0.00000,2,OK

To FromSeq OpCode Data

Date (TimeTag) Data request

LC11,XCONNECT,67754605,OK,TimeTagReq,Start 02/07/2003 00:00:00,Stop 02/07/2003 01:00:00

To From Seq OpCode OpCode parameters

Date (TimeTag) Data request

A timetag data response returns the data in one or multiple SSP packets depending how much data was requested. The recipient will send as much data as one SSP packet can hold, transfer the message, wait for an acknowledgement receipt from the sender. The recipient will then send the next packet and again wait for the acknowledge until all the data has be sent. The recipient will lastly send a time tag end message to indicate the SSP transaction is completed.

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:00:00,Real,0.18900,Real,0.17800,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:05:00,Real,0.18600,Real,0.17600,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:10:00,Real,0.18600,Real,0.16200,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:15:00,Real,0.18900,Real,0.16400,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:20:00,Real,0.18400,Real,0.15900,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:25:00,Real,0.18700,Real,0.15700,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:30:00,Real,0.18700,Real,0.15700,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,646,OK,TimeTag,02/07/2003 00:35:00,Real,0.18900,Real,0.16000,Real,0.00000

To FromSeq OpCode Data

LC11,XCONNECT,67758781,OK,Ack,TimeTag

To FromSeq OpCode Data Acknowledge end of First packet

XCONNECT,LC11,647,OK,TimeTag,02/07/2003 00:40:00,Real,0.19400,Real,0.17000,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,647,OK,TimeTag,02/07/2003 00:45:00,Real,0.18700,Real,0.18000,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,647,OK,TimeTag,02/07/2003 00:50:00,Real,0.18900,Real,0.17000,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,647,OK,TimeTag,02/07/2003 00:55:00,Real,0.18300,Real,0.17100,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,647,OK,TimeTag,02/07/2003 01:00:00,Real,0.18300,Real,0.15900,Real,0.00000

To FromSeq OpCode Data

XCONNECT,LC11,647,OK,TimeTagEnd

To FromSeq OpCode Indicate end of data

LC11,XCONNECT,67761606,OK,Ack,TimeTagEnd

To FromSeq OpCode Data Acknowlegge end of data/End of SSP message

Understanding the SSP Decoder Operation Codes

SSP Operation Code | Operation Code Number | Description
Ack | 00 | Acknowledge another opcode
Nak | 01 | Cannot acknowledge/perform opcode
CurdataReq | 02 | Request for current data
Curdata | 03 | Current data
TimeTagReq | 04 | Request for Timetag (log) data
TimeTag | 05 | Timetag data
TimeTagEnd | 06 | End of Timetag data
SelfTest | 07 | Perform a SelfTest
ClearStatus | 08 | Clear System Status
GetStatus | 09 | Request System Status
SystemStatus | 10 | Current System Status
StartSDL | 11 | Start SDL code running (9000 only)
StopSDL | 12 | Stop SDL code running (9000 only)
StartTag | 13 | Run Start SDL code for tag (9000 only)
EvalTag | 14 | Run Eval SDL code for tag (9000 only)
StopTag | 15 | Run Stop SDL code for tag (9000 only)
EOT | 16 | Must be same as DLE (Hex 16)
SetClock | 17 | Set Time of data logger to this time
Reset | 18 | Perform a Reset in the data logger
EraseSetup | 19 | Erases all setup information
SetupReq | 20 | Request for data logger setup
SetupInvalid | 21 | Setup is bad
SetupChanged | 22 | Setup is changed by terminal
TagInfo | 23 | Single tag setup descriptor info
TagData | 24 | Setup data for this tag
TagEnd | 25 | End of tag data
SetupEnd | 26 | End of setup information
ValueReq | 27 | Request for tag/sensor values
Value | 28 | Tag/sensor data
Alarm | 29 | Alarm/exception message
SelectControl | 30 | Select a control point/ tag (9000 only)
BeginControl | 31 | Begin a control point/tag (9000 only)
SWTableReady | 32 | RTU SW Flow table ready (customer specific)
Illegal | 33 | Illegal opcode received
Restricted | 34 | Opcode not available to user
Login | 35 | Request to login to data logger
BadPassword | 36 | Login attempt failed
PleaseLogin | 37 | User logged out
Logout | 38 | Log out of data logger
AllValueReq | 39 | Request all values for a tag/sensor
AllValue | 40 | All values for a tag
Mail | 41 | Mail message
Stopped | 42 | SDL Stopped
DDEPoke | 43 | DDE Poke message
DDE Request | 44 | DDE Request message
DDE Execute | 45 | DDE Execute message
DDE Initiate | 46 | DDE Initiate message
DDE Terminate | 47 | DDE Terminate message
DDE Advise | 48 | DDE Advise message
DDE Unadvise | 49 | DDE Unadvise message
BertStatusReq | 50 | Request BERT status
BertStatus | 51 | BERT status
BertClear | 52 | Clear BERT status
BertReq | 53 | Request a BERT message
Bert | 54 | Dummy BERT message
Alert | 55 | Alert message over SSP
RDIReq | 56 | Request for RDI tag data values
RDI | 57 | RDI tag values


Troubleshooting Tips

XConnect Names vs. RTU Names

It is important to distinguish the difference between the name of stations and sensors, as defined or created in the data logger and the name of the station and sensor as defined or created in XConnect. The names are not required to be the same. However, XC Rtu needs to know how to link the two names, if they are different. The response to a data request from XC Rtu will contain names of sensors as configured in the data logger. When XC Rtu receives and processes it, it tries to match it with a sensor name defined in XConnect. This is were the RTU Sensor Name on the Sensor setup window is important. This is XC Rtu's link to the data logger.

The same applies for the XConnect station name and the RTU Unit ID. In an SSP message, there is a From and To field. The name used in the To field by XC Rtu will not be the XConnect station name (which may be much longer) it will be the RTU Unit ID.

Protocol Analyzer

The protocol analyzer is the best display to use if you do not received data from a data logger. If the SSP Decoder displays NO CTS message, this indicates that the connection to the data logger was never established, no SSP messages were ever sent. Go to the Using the Protocol Analyzer topic under Tools to review the initial characters and handshaking that must take place before any SSP messages can be exchanged.

No Current Data returned

While viewing the SSP Decoder, you can see the current data poll (CurDataReq) being sent. The data logger responds with to the current data poll with a CurData response but no values are transmitted. In this case, the data logger has not been configured to return current data. To configure the data logger to return current data, verify these settings:

For 8200/8210

  1. In the 8200/8210 main menu, select SYSTEM SETUP.

  2. Next select ALARM OPTIONS.

  3. For each sensor, make sure the ENABLE parameter is not OFF. If no alarms are programmed for the logger, set the value to ON. This will ensure the sensor value will be returned in a current data request.

  4. Make sure the RTU Tagname entered in XC Desktop|Sensor Setup is identical to the sensor name in the data logger.

For 9210/XPERT

  1. In the sensor setup blocks, make sure the COMSTAG block appears setup. The COMSTAG block enables the sensor value to be returned in a current data request.

  2. Make sure the RTU Tagname entered in XC Desktop|Sensor Setup is identical to the label in the COMSTAG block.

Data returned in SSP Decoder but not viewed using XC DataView/XC Reports

The data viewed in the SSP Decoder is the raw incoming data, before XC Rtu stores the data it will:

  1. match the RTU sensor name with an XConnect sensor name or apply the RTU Logging Order.

  2. apply an equation, if applicable.

If you cannot view or graph the data from the data storage option, then it is likely due to an incorrect RTU Sensor name or and incomplete/incorrect RTU Logging Order. For Current data polls, the RTU Sensor name must be correct. For Date or Manual polls, the RTU Logging Order must be completed and match the sensor logging order in the data logger.

For more information on the RTU Sensor Name and the RTU Logging Order, refer to the XC Desktop help file, Station Setup and Sensor Setup topics.

Pollgroup triggers, but stations not polled

Ensure that the stations are "Enabled" and a Connection Port is specified (com port). Go to XC Desktop and the Station Setup window and verify the Enable parameter is checked and a Connection port does not have None selected.


Error messages

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Potential reasons for error:

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Ensure that XC Setup is shown on the Windows taskbar.

Troubleshooting steps:

Potential reasons for error:

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Ensure that XC Setup is shown on the Windows taskbar.

Troubleshooting steps:

Potential reasons for error:

  • User has enter client program(s) on the Poll Group setup window in XC Desktop that is required to be running before a poll group is dispatched. The client program window could not be found.

Make sure the client program is running.

The text entered on the Clients parameter represents the Windows title (as seen on the Windows taskbar) not the executable name. In many cases, they are different.

Troubleshooting steps:

Potential reasons for error:

  • An invalid control was entered on the Poll Group setup window in XC Desktop. XC Rtu could not execute the control.

Verify the control statement was entered correctly. Refer to the Technical Reference for available commands and syntax.

Troubleshooting steps:

Potential reasons for error:

  • The poll type defined for this station is invalid. The valid options are: None, Current, Date, Newest, or NoWait.

Verify the poll type in XC Desktop either in the Poll Group setup window or the Station setup window. The poll type may have been altered incorrectly in the INI file using Notepad.

Troubleshooting steps:

Potential reasons for error:

  • XC Rtu was not able to locate the communication monitor selected in the Station setup window in XC Desktop.

Verify the Communication Monitor has been initialized.

Ensure that no other applications, like HyperTerminal, are not using the port or modem.

Troubleshooting steps:

Potential reasons for error:

  • XC Rtu was unable to locate or initialize the communication port.

Ensure that no other applications, like HyperTerminal, are not using the port or modem.

Ensure that this INI file was not intended for another computer where different communication devices exist.

Troubleshooting steps:

Ensure that:

  • XC Rtu failed to convert the poll group number displayed in the Next Poll group label on the Status window of XC Rtu.

All poll groups must be identified by numbers.

Return to XC Desktop to correct and poll group setup errors.

Troubleshooting steps:

Potential reasons for error:

  • An error occurred while trying to send the control selected on the XC Rtu Control window or the Interactive Polling window.

This error is unlikely. Close XC Rtu and restart program.

Troubleshooting steps:

Potential reasons for error:

  • The primary connection port is set to None.

Return to XC Desktop and select a com port for the station on the Station setup window.

Troubleshooting steps:

Potential reasons for error:

  • In the Interactive Polling window, sensor parameters could not be saved to XC Setup. The Sensor name cannot be blank.

Enter a name for the sensor.

Troubleshooting steps:

Potential reasons for error:

  • In the XC Rtu Control window, a Send Tag button was pressed. The number entered in the Current Sensor Value is invalid.

Enter a valid number in the Current Sensor Value parameter before clicking the Send Tag button.

Troubleshooting steps:

Potential reasons for error:

  • The data logger did not respond to the user request in the XC Rtu Control window. A 60 second timer is set when a control is issued.

Troubleshooting steps:

Potential reasons for error:

  • When the user closes a Communcation Monitor, all child windows are automatically closes. An error occurred while trying to close the SSP Decoder window.

XC Rtu may be corrupt. Close XC Rtu and re-open.

Troubleshooting steps:

Potential reasons for error:

  • When the user closes a Communcation Monitor, all child windows are automatically closes. An error occurred while trying to close the Protocol Analyzer window.

XC Rtu may be corrupt. Close XC Rtu and re-open.

Troubleshooting steps:

Potential reasons for error:

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Ensure that XC Setup is shown on the Windows taskbar.

Troubleshooting steps:

Potential reasons for error:

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Ensure that XC Setup is shown on the Windows taskbar.

Troubleshooting steps:

Potential reasons for error:

  • While trying to connect to a modem site, XC Rtu tried to login. In XC Deskop, on the Station setup window, the Login Req'd parameter was checked. After the data logger answered the phone, XC Rtu waits for the text User to sent from the data logger before sending the Username.

Ensure that the data logger is using a modem password. If not, uncheck this parameter on the Station setup window in XC Desktop.

Troubleshooting steps:

Potential reasons for error:

  • While trying to connect to a modem site, XC Rtu tried to login. In XC Deskop, on the Station setup window, the Login Req'd parameter was checked. After the data logger answered the phone, XC Rtu sent the User name and was waiting to send the Password. The data logger never sent the Password prompt.

Try logging into the data logger using HyperTerminal.

Troubleshooting steps:

Potential reasons for error:

  • On the Station setup window, the Auto Protocol box was not checked. This indicated that XC Rtu needs to send a special character to switch the data logger from terminal (menu) mode to SSP-ready mode.

Ensure the data logger is not already in protocol-ready mode. For 8200/8210/9000, check the SERIAL parameter in the EEROM Setup menu. If SERIAL is set to PROTOCOL, then the data logger is SSP-ready.

For the 9210/XPERT, if the com port was defined as SSP (i.e., SSP2, or SSP3), then the port is SSP-ready.

Troubleshooting steps:

Potential reasons for error:

  • Total retries to poll the station failed on the primary com port. XC Rtu is switching to the secondary com port as set on the Station setup window in XC Desktop.

Troubleshooting steps:

Potential reasons for error:

  • Total retries to connect to the station failed on the primary com port. XC Rtu is switching to the secondary com port as set on the Station setup window in XC Desktop.

Troubleshooting steps:

Potential reasons for error:

  • Many factors are can contribute to why a connection fails.

Go to the Troubleshooting tips topic to assist help resolve the connection failure.

Troubleshooting steps:

Potential reasons for error:

  • While trying to form a Send Tag message, invalid sensor names or values were encountered.

Troubleshooting steps:

Potential reasons for error:

  • While trying to form a Get Tag message, invalid sensor names were encountered.

Troubleshooting steps:

Potential reasons for error:

  • While trying to form a Send RDI message, invalid sensor names or values were encountered.

Troubleshooting steps:

Potential reasons for error:

  • While trying to form a Get RDI message, invalid sensor names were encountered.

Troubleshooting steps:

Potential reasons for error:

  • While trying to form a Select Control message, invalid sensor names or values were encountered.

Troubleshooting steps:

The data storage option selection is invalid with the XConnect installation. Potential reasons for error:

  • XConnect Lite was purchased. The database data storage option is an invalid option for XConnect Lite.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • For Excel/ASCII log file storage option, an error in the file directory will prevent the creation of the data storage option.

Using Windows Explorer, ensure the file directory exists and can be viewed.

  • For PcBase2 binary file and database storage option, a memory error will prevent the creation of the data storage option.

Close all unnecessary applications and XConnect modules and re-start XConnect. If error continues after re-start of XConnect, re-boot computer.

Troubleshooting steps:

For the PcBase2 binary file data storage option, XC Rtu and XC Desktop must read the header of every binary file in the XConnect system.

Potential reasons for error:

  • Binary file may be corrupt.

Go to XC Desktop and the Data Storage setup window. Try to select the binary file.

Recreate data file in XC Desktop.

Troubleshooting steps:

Potential reasons for error:

  • PcBase2 binary file may be corrupt.

Go to XC Desktop and the Data Storage setup window. Try to select the binary file.

  • Insufficient disk space to store data.

Open My Computer. Right click on the properties of the drive (i.e., C:) that XConnect is installed. Check disk space used.

Troubleshooting steps:

Potential reasons for error:

  • PcBase2 binary file may be corrupt.

Go to XC Desktop and the Data Storage setup window. Try to select the binary file.

  • Insufficient disk space to store data.

Open My Computer. Right click on the properties of the drive that XConnect is installed. Check disk space used.

Troubleshooting steps:

For the PcBase2 binary file data storage option, XC Rtu must read the header of every binary file in the XConnect system to properly initialize the data storage option.

Potential reasons for error:

  • Binary file may be corrupt.

Go to XC Desktop and the Data Storage setup window. Try to select the binary file.

Delete or deactivate corrupt binary data file. Recreate binary data file in XC Desktop.

Troubleshooting steps:

In order for XC Rtu to store data, it will first extract the date and time from the data string. If the date and time is corrupt, then the data will not be stored.

Potential reasons for error:

  • XConnect modules are automation servers. Client applications can control and send data to XC Decode to decode and store.

Verify any client applications connected with XC Decode and the format of the data being sent.

Troubleshooting steps:

For the PcBase2 binary data storage option, XC Rtu needs to determine which data file to store the sensor value. XC Rtu could not find a data file to store the sensor

Potential reasons for error:

  • XConnect modules are automation servers. Client applications can control and send data to XC Decode to decode and store.

Verify any client applications connected with XC Decode and the format of the data being sent.

Troubleshooting steps:

For the database storage option, XC Rtu could not insert the quality record into the XC_GOESQC data table.

Potential reasons for error:

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the database storage option, XC Rtu could not update the quality record into the XC_GOESQC data table.

Potential reasons for error:

  • Ensure the ODBC data source is configured correctly.

Troubleshooting steps:

For the database storage option, XC Rtu could not update the Last Update field in for the station the XC_SITES data table.

Potential reasons for error:

  • Ensure the station record exists in the XC_SITES data table.

Go to XC Desktop, open Station Setup window for station with error. Click on the Database Fields button. Verify the window opens without error.

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the PcBase2 binary file data storage option, XC Rtu can archive the data files based on the XC Desktop Data Storage setup parameter Data Storage Limit.

Potential reasons for error:

  • Binary file may be corrupt.

Go to XC Desktop and the Data Storage setup window. Try to select the binary file.

Delete or deactivate corrupt binary data file. Recreate binary data file in XC Desktop.

Troubleshooting steps:

For the database storage option, XC Rtu failed to insert/update the sensor data into the XC_DATA1 data table. If the insert/update fails, XC Rtu will try to store the data to backup log (.LOG) files in the DataBackup subdirectory.

Potential reasons for error:

  • Ensure the DataBackup directory exists.

Troubleshooting steps:

For the database storage option, XC Rtu could not store data into the XC_DATA1 data table.

Potential reasons for error:

  • Ensure the Data Sources (ODBC) is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the database storage option and the current XConnect database schema, this error should never occur.

If the XConnect database schema expands to include multiple XC_DATA tables (i.e, XC_DATA1, XC_DATA2...etc), the sensor records in XC_SITESSENSORS will contain which data table the specific sensor is stored.

Troubleshooting steps:

For the PcBase2 binary file data storage option, after decoding the sensor, XC Rtu must then determine which binary file to store the data.

Potential reasons for error:

  • Ensure sensor is assigned to a binary data file.

Go to XC Desktop and the Data Storage setup window. Verify sensor is selected to be stored in one of the binary data files.

Troubleshooting steps:

For the database storage option and the current XConnect database schema, this error should never occur.

If the XConnect database schema expands to include multiple XC_DATA tables (i.e, XC_DATA1, XC_DATA2...etc), the sensor records in XC_SITESSENSORS will contain which data table the specific sensor is stored.

Troubleshooting steps:

For the ASCII Log/Excel data storage option, XC Rtu will delete the log/excel files based on the XC Desktop Data Storage setup parameter Data Storage Limit.

Potential reasons for error:

  • File may be opened by another application (i.e. Notepad, Microsoft Excel).

Troubleshooting steps:

For the ASCII Log data storage option, XC Rtu failed to store the data to log files in the File Path directory.

Potential reasons for error:

  • Ensure the ASCII Log File Path directory exists.

Troubleshooting steps:

For the database storage option, XC Decode's/XC Rtu's request for data failed for the station the XC_DATA1 data table.

Potential reasons for error:

  • Ensure the station record exists in the XC_SITES data table.

Go to XC Desktop, open Station Setup window for station with error. Click on the Database Fields button. Verify the window opens without error.

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the database storage option, XC Decode/XCRtu archives the data files based on the XC Desktop Data Storage setup parameter Data Storage Limit.

Potential reasons for error:

  • No "old" data was found in XC_DATA1.

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the database storage option, XC Decode/XCRtu archives the data files based on the XC Desktop Data Storage setup parameter Data Storage Limit.

Potential reasons for error:

  • No "old" data was found in XC_RTUQC.

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the database storage option, XC Decode/XCRtu archives the data files based on the XC Desktop Data Storage setup parameter Data Storage Limit.

Potential reasons for error:

  • No "old" data was found in XC_GOESQC.

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Troubleshooting steps:

For the database storage option, XC Rtu could not insert the quality record into the XC_RTUQC data table.

Potential reasons for error:

  • Ensure the ODBC data source is configured correctly and the database has sufficient data space to store data.

Error Messages

Potential error messages generated by XC Rtu during polling are:

Error 1: User does not have correct privileges to perform action.

Error 2: Invalid user/password settings.

Error 3: Unable to run - xxx.

Error 4: An instance of the "XCSetup.Applications" OLE Automation class could not be created. Is XC Setup running?

Error 5: XC Setup is not running. Process halted.

Error 6: An error occurred while retrieving parameters from XCSetup.

Error 7: Unable to retrieve General Setup parameters.

Error 8: Invalid License Key. Please verify XConnect is properly installed.

Error 9: Invalid License Key. Exiting now...

Error 700: Unable to retrieve XC Rtu Setup parameters.

Error 701: Unable to update XC Rtu Setup parameters.

Error 702: Warning, cannot poll group xx. Client xxx is not running.

Error 703: Warning, invalid poll group control xxx on station xxx.

Error 704: Warning, cannot poll station station. Invalid PollType.

Error 705: Warning, cannot poll station station is not defined or comport comx is not running.

Error 706: Unable to initialize Communication Monitor for comx.

Error 707: Warning, unable to trigger poll group xxx.

Error 708: Warning, failed to executed control: xxx.

Error 709: No com port has been assigned. Go to XC Desktop to make changes.

Error 710: Invalid sensor name.

Error 711: Invalid sensor value entered.

Error 712: Timed out waiting for response.

Error 713: Unable to close SSP Decoder window for comx. Please close manually.

Error 714: Unable to close Protocol Analyzer window for comx. Please close manually.

Error 715: Unable to save sensor parameters.

Error 716: Unable to update sensor list for xxx.

Error 717: Did not receive User: . Unable to login to: station.

Error 718: Did not receive Password: Unable to login to: station.

Error 719: Unable to switch to protocol mode for: station.

Error 720: Message to station failed, trying comx.

Error 721: Connect to station failed, trying comx.

Error 722: Connect Failed: station.

Error 723: Bad Send Tag: station , data.

Error 724: Bad Get Tag: station, data.

Error 725: Bad Send RDI: station , data.

Error 726: Bad Get RDI: station, data.

Error 727: Bad Select Control: station, data.

Potential error messages generated by XC Rtu during data storage are:

Error 600: Data storage option invalid with XConnect installation.

Error 601: Unable to retrieve Data Storage Setup parameters.

Error 602: Unable to update Data Storage Setup parameters.

Error 603: Unable to create data store option.

Error 604: Unable to read header from file xxx.

Error 607: Unable to write data for file xxx.

Error 609: Unable to insert data into xxx.dat for station.sensor for 00/00/0000 00:00:00.

Error 610: Unable to open all data files.

Error 611: Unable to decode date/time in station.sensor data for data xxx.

Error 612: Unable to decode realtime/timetag data station.sensor

Error 613: Unable to insert Quality data for satellite id at 00/00/0000 00:00:00.

Error 614: Unable to update quality data for satellite id at 00/00/000 00:00:00.

Error 615: Unable to update Last Update data: station.

Error 617: Unable to archive/split data files.

Error 618: Unable to write data to data store option and backup log files: station.sensor for 00/00/0000 00:00:00 is xxx.

Error 619: Unable to insert/update xc_data data value: station.sensor for 00/00/0000 00:00:00 is xxx.

Error 620: Unable to locate station.sensor in database.

Error 621: No data file found to store station.sensor.

Error 622: No data table found to store station.sensor.

Error 623: Unable to delete Log file - xxx.log.

Error 624: Unable to write to Log file - xxx.log data for: xxx.

Error 625: Unable to read data from datatable for station.sensor for xxx.

Error 626: Unable to purge old data from database.

Error 627: Unable to purge old Rtu Quality data from database.

Error 628: Unable to purge old GOES Quality data from database.

Error 629: Unable to insert RTU Quality data for station at 00/00/0000 00:00:00.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Communcation mointor window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Communcation Monitor controls

Communication Monitor controls

The Communications Monitor controls area provides the user with access to sub-windows and buttons to view and affect SSP communications.

  • TX - Status of the TX light from the Communication Monitor for the selected comport. Returns "Yes" if an SSP message is being sent.

  • RX - Status of the RX light from the Communication Monitor for the selected comport. Returns "Yes" if an SSP message is being received.

  • Pause Status - This check box will temporarily prevent additional messages from being added to the communication monitor status window.

  • Abort Control - This checkbox will terminate the current control and clear the message queue.

  • Close Port - This check box will close the com port and allow other applications to use the com port, such as XTerm. When port is closed, not polling or data will be received.

  • SSP Decoder - This button will open the SSP Decoder window and will interpret the SSP messages sent and received by the communication monitor for the user to understand.

  • Protocol Analyzer - This button will open the Protocol Analyzer window to monitor communication over the serial port.


Communication Monitor message boxes

The Communication Monitor message boxes gives a list of events in two areas of XC Rtu.

The Message Queue box lists any SSP messages that need to be dispatched by the com port.

The Error Messages box lists any errors encountered during SSP communications (i.e., timeouts).


Communication Monitor Status Window

The Communication Monitor Status window gives a list of events performed by the XC Rtu program as it polls and communicates with the Sutron data loggers.

The CPS is the rate (characters per second) XC Rtu is receiving SSP data from the com port.

This list of status is in time order with each entry stamped with the date and time. Newest messages will appear at the top. Scroll bars will appear as needed to allow an operator to view parts of the display that may not fit in the window.


Edit Rtu settings window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Interactive polling window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • ReInitialize -- reloads the latest setup information from XC Setup and XC Rtu will release the port and obtain new port information and re-open the port.

  • Login -- user login for XConnect system.

  • Exit -- terminates the application.

Edit

  • Copy -- copies highlighted text to Windows clipboard.

  • Paste -- pastes contents of Windows clipboard.

Polling

  • Trigger Next Poll Group -- triggers next pollgroup now instead of waiting for scheduled time.

  • Trigger a Poll Group -- triggers any pollgroup defined in XC Desktop now instead of waiting for scheduled time.

Options

  • Perform Control Functions -- opens Rtu Control window to perform various control commands.

  • Interactive Polling -- opens Interactive Polling window to assist in setting up sensor parameters.

  • Edit Setup Parameters -- edits the setup parameters for XC Rtu.

  • Clear Status Messages -- clears the decoding status window.

Window

  • Cascade -- cascades all child windows of XC Rtu.

  • Tile Horizontally -- tiles horizontally all child windows of XC Rtu.

  • Tile Vertically -- tiles vertically all child windows of XC Rtu.

  • Arrange All -- arranges all child windows of XC Rtul

  • Minimize All -- minimizes all child windows of XC Rtu.

Help

  • XC Rtu Help -- access this help system an defaults to Index tab.

  • XC Rtu Contents -- access this help system an defaults to Contents

  • About -- get version information for this application.


Protocol Analyzer

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Rtu control window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Select poll group

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


SSP Decoder

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


SSP Message Statistics

The SSP Message Statistics box provides an up-to-date count of all SSP messages received on communication port since it has been opened.

  • RX Sent - This is the number of all received messages addressed to the base station received on this com port.

  • RX Total - This is the number of all received messages addressed to anyone received on this com port.

  • RX Bad - This is the number of all bad messages received on this com port. Bad messages occur because of CRC errors, dropped characters, and protocol errors.

  • TX Sent - This is the number of transmitted messages from this com port.

  • TX Bad - This is the number of transmitted messages which failed because they could not be sent or an acknowledgment was never received.

  • TX Repeat - This is the number of repeated messages (messages stored and forwarded to another station or com port).


Status Window

The Status Window

The Status window is divided into two sections.

The Polling Status message box gives a list of events performed or detected by the XC Rtu program. Messages regarding the startup or XC Rtu, or communications with XC Setup will be listed here. Messages related to a SSP communication status is displayed in the status window of each communication monitor.

The Next Poll Group indicates the next Poll Group number that will be triggered. Poll groups are defined in XC Desktop.

The Next Poll Time indicates the next time the next Poll Group will be triggered. Poll group times are defined in XC Desktop.

The Stations in Next Poll Group displays the stations configured in the next poll group to be triggered. Poll groups are defined in XC Desktop. For a system with many stations and/or pollgroups, it allows the user to see what stations are queued for polling without returning to XC Desktop.

This list of status messages is in time order with each entry stamped with the date and time. Newest messages will appear at the top. Scroll bars will appear as needed to allow an operator to view parts of the display that may not fit in the window.


StatusBar

The Status Bar

The Status Bar is divided in three sections. The left-hand panel displays the user logged in and his/her privileges. The middle panel displays parameter hints. The right-hand panel displays the next scheduled poll group and time.

If no users are defined, the user logged in will be NONE and the privileges will be FULL. As soon as a user is defined in XC Desktop, the user and privileges displayed will be NONE and NONE.


Toolbar

The XC Rtu Toolbar

The toolbar area allows you to quickly access various XC Rtu functions.

The following tools are provided:

Reinitialize application. Flush local buffers and reload the latest setup information from XC Setup. Additionally, XC Rtu will release the port and obtain new port information and re-open the port.

Trigger next pollgroup now instead of waiting for scheduled time.

Trigger any pollgroup defined in XC Desktop now instead of waiting for scheduled time.

Open Rtu Control window to perform various control commands.

Open Interactive Polling window to assist in setting up sensor parameters.

Edit the setup parameters for XC Rtu.

Cascade all child windows of XC Rtu.

Tile horizontally all child windows of XC Rtu.

Tile vertically all child windows of XC Rtu.

Open the on-line help (this document).